<?php /** The loop displays the posts and the post content.*/ ?>



<?php /* Display navigation to next/previous pages when applicable */ ?>
<?php if ( $wp_query->max_num_pages > 1 ) : ?>
	<p id="nav-above" class="navigation">
		<span class="nav-previous"><?php next_posts_link('Older posts'); ?></span>
		<span class="nav-next"><?php previous_posts_link('Newer posts'); ?></span>
	</p><!-- #nav-above -->
<?php endif; ?>



<?php /* If there are no posts to display, such as an empty archive page */ ?>
<?php if ( ! have_posts() ) : ?>
	<div id="post">
		<h1 class="entry-title">Not Found</h1>
		<div class="entry-content">
			<p>Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.</p>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</div><!-- #post-0 -->
<?php endif; ?>



<?php /* Start the Loop.*/ ?>
<?php while ( have_posts() ) : the_post(); ?>
	<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( 'Permalink to %s', the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<p id="date-box">
               <span class="day"><?php the_time('d') ?></span>
               <span class="month"><?php the_time('M') ?></span>
               <span class="year"><?php the_time('Y') ?></span>
            </p>
            <p id="comment-box"><?php comments_popup_link( '0', '1', '%', '', '0' ); ?></p>	
			<div class="entry-content">
				<?php the_content('Read More'); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . 'Pages:', 'after' => '</div>' ) ); ?>
			</div><!-- .entry-content -->		
		</div><!-- #post-## -->
		<div class="entry-utility">
			<span class="author"><?php the_author_link(); ?></span>
				<?php the_tags( '<span class="post-tag">', ', ', '</span>'); ?>
                <span class="comments-link"><?php comments_popup_link( '0', '1', '%', '', '0' ); ?></span>										
				<span class="cat-links"><?php the_category(', ') ?></span>
				<?php edit_post_link('[Edit]'); ?>									
				<?php
					//$tags_list = get_the_tag_list( '', ', ' );
					//if ( $tags_list ):
					//endif;
				?>				
			</div><!-- .entry-utility -->
		<?php comments_template( '', true ); ?>

<?php endwhile; // End the loop. ?>

<?php /* Display navigation to next/previous pages when applicable */ ?>
<?php if (  $wp_query->max_num_pages > 1 ) : ?>
				<p id="nav-below" class="navigation">
					<span class="nav-previous"><?php next_posts_link('Older posts'); ?></span>
					<span class="nav-next"><?php previous_posts_link('Newer posts'); ?></span>
				</p><!-- #nav-below -->
<?php endif; ?>